import { bj as a, an as c, aT as n } from "./index2.js";
var i = a(Object.getPrototypeOf, Object), s = "[object Object]", b = Function.prototype, j = Object.prototype, e = b.toString, p = j.hasOwnProperty, f = e.call(Object);
function O(r) {
  if (!c(r) || n(r) != s)
    return !1;
  var o = i(r);
  if (o === null)
    return !0;
  var t = p.call(o, "constructor") && o.constructor;
  return typeof t == "function" && t instanceof t && e.call(t) == f;
}
export {
  i as g,
  O as i
};
